﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_FLOOR_L') 
 CREATE TABLE T_OCOLMM_FLOOR_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_FLOORENTRY') 
 CREATE TABLE T_OCOLMM_FLOORENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FSORT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_HOMECTADSENTRY') 
 CREATE TABLE T_OCOLMM_HOMECTADSENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCUSTOMADID BIGINT DEFAULT 0 NOT NULL,
FCUSTADSUBSORT INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_HOMEFLOORENTRY') 
 CREATE TABLE T_OCOLMM_HOMEFLOORENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFLOORID BIGINT DEFAULT 0 NOT NULL,
FFLRSORT INT DEFAULT 0 NOT NULL,
FFLRBEGINDATE DATETIME,
FFLRENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_HOMELMENTRY') 
 CREATE TABLE T_OCOLMM_HOMELMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FLMID BIGINT DEFAULT 0 NOT NULL,
FLMSORT INT DEFAULT 0 NOT NULL,
FLMBEGINDATE DATETIME,
FLMENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_HOMECONTENT') 
 CREATE TABLE T_OCOLMM_HOMECONTENT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FTERMINALTYPE NVARCHAR(50) DEFAULT '2' NOT NULL,
FISFOLD CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_MALLINFO_L') 
 CREATE TABLE T_OCOLMM_MALLINFO_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ORDERS') 
 CREATE TABLE T_OCOLMM_ORDERS (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLSOURCE CHAR(1) DEFAULT '1' NOT NULL,
FMALLID BIGINT DEFAULT 0 NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FCUSTID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FORDERSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FMOBILE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCLOSEDATE DATETIME,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCANCELSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ORDERS_C') 
 CREATE TABLE T_OCOLMM_ORDERS_C (
FID BIGINT DEFAULT 0 NOT NULL,
FHASTAX CHAR(1) DEFAULT '0' NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FLOCALCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ORDERS_J') 
 CREATE TABLE T_OCOLMM_ORDERS_J (
FID BIGINT DEFAULT 0 NOT NULL,
FPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FITEMTOTALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHIPAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNEEDPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYMENTSTATUS CHAR(1) DEFAULT '1' NOT NULL,
FLATESTPAYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ORDERS_P') 
 CREATE TABLE T_OCOLMM_ORDERS_P (
FID BIGINT DEFAULT 0 NOT NULL,
FSHIPPINGTYPEID BIGINT DEFAULT 0 NOT NULL,
FSHIPPINGTIME DATETIME,
FRECEIVECONTACT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FRECEIVEMOBILE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FADDRESSID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FPROVINCEID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FCOUNTYID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFULLADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNOTE NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ORDERSENTRY') 
 CREATE TABLE T_OCOLMM_ORDERSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISSHIPPING CHAR(1) DEFAULT '0' NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRODUCTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSHIPMENTSID BIGINT DEFAULT 0 NOT NULL,
FSOSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSHIPMENTSSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FDETAILSTOCKORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_RECEIPTS') 
 CREATE TABLE T_OCOLMM_RECEIPTS (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAYDATETIME DATETIME,
FPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FISRECEIPT CHAR(1) DEFAULT '0' NOT NULL,
FOUTTRADENO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_RECEIVEPAY') 
 CREATE TABLE T_OCOLMM_RECEIVEPAY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPAYMENTMETHODID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRID BIGINT DEFAULT 0 NOT NULL,
FRECAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCOLLECTIONTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_SHIPPING') 
 CREATE TABLE T_OCOLMM_SHIPPING (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FWEIGHTFREIGHT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FVOLUMEFREIGHT NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_SHIPPRICE') 
 CREATE TABLE T_OCOLMM_SHIPPRICE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FAREAID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITDATE DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FSHIPPINGTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ICONTENT_HEAD') 
 CREATE TABLE T_OCOLMM_ICONTENT_HEAD (
FID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FSPUID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FMINMEMBERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMINRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXMEMBERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAXRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ITEM_PUBCENTRY') 
 CREATE TABLE T_OCOLMM_ITEM_PUBCENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCHANNELCLASSID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ITEM_PUBLISH') 
 CREATE TABLE T_OCOLMM_ITEM_PUBLISH (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_PRICECHACENTRY') 
 CREATE TABLE T_OCOLMM_PRICECHACENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCHANNELCLASSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_PRICECHANGE') 
 CREATE TABLE T_OCOLMM_PRICECHANGE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ITEM_PUBIENTRY') 
 CREATE TABLE T_OCOLMM_ITEM_PUBIENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMEMBERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FSALESCOPE CHAR(10) DEFAULT ',a,b,c,' NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSPUID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ITEMCONTENT') 
 CREATE TABLE T_OCOLMM_ITEMCONTENT (
FID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSPUID BIGINT DEFAULT 0 NOT NULL,
FMEMBERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALESCOPE CHAR(10) DEFAULT ',a,b,' NOT NULL,
FHEADID BIGINT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_PRICECHAIENTRY') 
 CREATE TABLE T_OCOLMM_PRICECHAIENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRETAILPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMEMBERPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIELID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSPUID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_HOMELM_L') 
 CREATE TABLE T_OCOLMM_HOMELM_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_SHIPPING_L') 
 CREATE TABLE T_OCOLMM_SHIPPING_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_SHIPPRICEENTRY') 
 CREATE TABLE T_OCOLMM_SHIPPRICEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FAREAID BIGINT DEFAULT 0 NOT NULL,
FWEIGHTFREIGHT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOLUMEFREIGHT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_MALLINFO') 
 CREATE TABLE T_OCOLMM_MALLINFO (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRID BIGINT DEFAULT 0 NOT NULL,
FAUTHCODE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMALLURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMOBLOGO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITTIME DATETIME,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FAPPID NVARCHAR(255) DEFAULT ' ' NOT NULL,
FAPPSECRET NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCANCLETIMESPAN INT DEFAULT 0 NOT NULL,
FSIGNINTIMESPAN INT DEFAULT 0 NOT NULL,
FCOMPLETETIMESPAN INT DEFAULT 0 NOT NULL,
FISAUTOCANCLE CHAR(1) DEFAULT '0' NOT NULL,
FISAUTOCONFIRM CHAR(1) DEFAULT '0' NOT NULL,
FISAUTOSIGNIN CHAR(1) DEFAULT '0' NOT NULL,
FISAUTOCOMPLETE CHAR(1) DEFAULT '0' NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_FLOOR') 
 CREATE TABLE T_OCOLMM_FLOOR (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FUSERORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FTERMINALTYPE NVARCHAR(50) DEFAULT '2' NOT NULL,
FADIMG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FLINK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCATEGORYID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_HOMELM') 
 CREATE TABLE T_OCOLMM_HOMELM (
FID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FURL NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADIMG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADTYPE CHAR(1) DEFAULT '4' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSERORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITTIME DATETIME,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FTERMINALTYPE NVARCHAR(50) DEFAULT '2' NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_SHIPPRICE_L') 
 CREATE TABLE T_OCOLMM_SHIPPRICE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_HOMECTADENTRY') 
 CREATE TABLE T_OCOLMM_HOMECTADENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTEMPLATETYPE CHAR(1) DEFAULT '1' NOT NULL,
FCUSTADSORT INT DEFAULT 0 NOT NULL,
FCUSTADBEGINDATE DATETIME,
FCUSTADENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_HOMEFLASHENTRY') 
 CREATE TABLE T_OCOLMM_HOMEFLASHENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFLASHADID BIGINT DEFAULT 0 NOT NULL,
FFADSORT INT DEFAULT 0 NOT NULL,
FFADBEGINDATE DATETIME,
FADENDDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ARTICLE') 
 CREATE TABLE T_OCOLMM_ARTICLE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMALLID BIGINT DEFAULT 0 NOT NULL,
FARTICLETYPEID BIGINT DEFAULT 0 NOT NULL,
FARTICLECONTENT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FARTICLECONTENT_TAG NCLOB,
FSEOPAGETITLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPAGEKEYWORD NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPAGEDESCRIBE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FKEYWORD NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAUTHOR NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISTITLESTYLE CHAR(1) DEFAULT '0' NOT NULL,
FISTOP CHAR(1) DEFAULT '0' NOT NULL,
FISRECOMMEND CHAR(1) DEFAULT '0' NOT NULL,
FBILLTYPE CHAR(1) DEFAULT '1' NOT NULL,
FARTICLETITLE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FARTICLESPECIES NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSOURCE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARTICLETIME DATETIME,
FIMG NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_HELPTYPE') 
 CREATE TABLE T_OCOLMM_HELPTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_NEWSLM') 
 CREATE TABLE T_OCOLMM_NEWSLM (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCTRLSTRATEGY CHAR(5) DEFAULT '5' NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FLEVEL INT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FISLEAF CHAR(1) DEFAULT '1' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_NEWSLM_L') 
 CREATE TABLE T_OCOLMM_NEWSLM_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(1000) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_table.sql **/
