﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCOLMM_AFTERSALES', 'T_OCOLMM_AFTERSALES', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_AFTERSALES_BILLNO') CREATE INDEX IDX_OCOLMM_AFTERSALES_BILLNO ON T_OCOLMM_AFTERSALES ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOLMM_AFTERSALES_P', 'T_OCOLMM_AFTERSALES_P', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_AFTERSALES_MEMBER') CREATE INDEX IDX_OCOLMM_AFTERSALES_MEMBER ON T_OCOLMM_AFTERSALES_P ( FCUSTOMERRECEIVERMEMBER ,FSUPPLIERRECEIVERMEMBER );


 EXEC P_ALTERPK 'PK_OCOLMM_AFTERSALESOPLOG', 'T_OCOLMM_AFTERSALESOPLOG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDC_OCOLMM_AFTERSALESOPLOG_FID') CREATE INDEX IDC_OCOLMM_AFTERSALESOPLOG_FID ON T_OCOLMM_AFTERSALESOPLOG ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_ASENTRY', 'T_OCOLMM_ASENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ASENTRY_FID') CREATE INDEX IDX_OCOLMM_ASENTRY_FID ON T_OCOLMM_ASENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_ASENTRY_C', 'T_OCOLMM_ASENTRY_C', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ASENTRYC_FID') CREATE INDEX IDX_OCOLMM_ASENTRYC_FID ON T_OCOLMM_ASENTRY_C ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_ASENTRY_S', 'T_OCOLMM_ASENTRY_S', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ASENTRYS_FID') CREATE INDEX IDX_OCOLMM_ASENTRYS_FID ON T_OCOLMM_ASENTRY_S ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_ASREFUNDENTRY', 'T_OCOLMM_ASREFUNDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDC_OCOLMM_ASREFUNDENTRY_FID') CREATE INDEX IDC_OCOLMM_ASREFUNDENTRY_FID ON T_OCOLMM_ASREFUNDENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_HELPTYPE_L', 'T_OCOLMM_HELPTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_HELPTYPEL_FLID') CREATE INDEX IDX_OCOLMM_HELPTYPEL_FLID ON T_OCOLMM_HELPTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCOLMM_OEMONEYDETAIL', 'T_OCOLMM_OEMONEYDETAIL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_OEMONEYDETAIL_EID') CREATE INDEX IDX_OCOLMM_OEMONEYDETAIL_EID ON T_OCOLMM_OEMONEYDETAIL ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCOLMM_ORDERSENTRY_S', 'T_OCOLMM_ORDERSENTRY_S', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ORDERSENTRYS_FID') CREATE INDEX IDX_OCOLMM_ORDERSENTRYS_FID ON T_OCOLMM_ORDERSENTRY_S ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_PAYMENTTYPE', 'T_OCOLMM_PAYMENTTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_PAYMENTTYPE_NUM') CREATE INDEX IDX_OCOLMM_PAYMENTTYPE_NUM ON T_OCOLMM_PAYMENTTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCOLMM_PAYMENTTYPE_L', 'T_OCOLMM_PAYMENTTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_PAYMENTTYPEL_FLID') CREATE INDEX IDX_OCOLMM_PAYMENTTYPEL_FLID ON T_OCOLMM_PAYMENTTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCOLMM_REFUNDBILL', 'T_OCOLMM_REFUNDBILL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_REFUNDBILL_NUM') CREATE INDEX IDX_OCOLMM_REFUNDBILL_NUM ON T_OCOLMM_REFUNDBILL ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOLMM_REFUNDTYPE', 'T_OCOLMM_REFUNDTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_REFUNDTYPE_NUM') CREATE INDEX IDX_OCOLMM_REFUNDTYPE_NUM ON T_OCOLMM_REFUNDTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCOLMM_REFUNDTYPE_L', 'T_OCOLMM_REFUNDTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_REFUNDTYPEL_FLID') CREATE INDEX IDX_OCOLMM_REFUNDTYPEL_FLID ON T_OCOLMM_REFUNDTYPE_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_constraint.sql **/
