﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ORDERINVOICE') 
 CREATE TABLE T_OCOLMM_ORDERINVOICE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FMEMBERID BIGINT DEFAULT 0 NOT NULL,
FORDERID BIGINT DEFAULT 0 NOT NULL,
FINVOICETYPE CHAR(1) DEFAULT '1' NOT NULL,
FINVOICEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINVOICECONTENT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FINVOICETITLE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FTAXPAYERCODE NVARCHAR(20) DEFAULT ' ' NOT NULL,
FREGISTEREDADDRESS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FREGISTEREDPHONE NVARCHAR(20) DEFAULT ' ' NOT NULL,
FBANK NVARCHAR(200) DEFAULT ' ' NOT NULL,
FBANKACCOUNT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICESTATUS CHAR(1) DEFAULT '1' NOT NULL,
FINVOICECODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINVOICENO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPDFLINK NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ORDERINVOICE_P') 
 CREATE TABLE T_OCOLMM_ORDERINVOICE_P (
FID BIGINT DEFAULT 0 NOT NULL,
FRECEIVERNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVERMOBILE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADDRESSID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FPROVINCEID BIGINT DEFAULT 0 NOT NULL,
FCITYID BIGINT DEFAULT 0 NOT NULL,
FCOUNTYID BIGINT DEFAULT 0 NOT NULL,
FRECEIVERADDRESS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFULLADDRESS NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ASENTRY_S' AND KSQL_COL_NAME ='FSUMDELIBASEQTY') 
 ALTER TABLE T_OCOLMM_ASENTRY_S ADD (FSUMDELIBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ASENTRY_S' AND KSQL_COL_NAME ='FSUMDELIASSISTQTY') 
 ALTER TABLE T_OCOLMM_ASENTRY_S ADD (FSUMDELIASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ASENTRY_S' AND KSQL_COL_NAME ='FJOINDELIBASEQTY') 
 ALTER TABLE T_OCOLMM_ASENTRY_S ADD (FJOINDELIBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ASENTRY_S' AND KSQL_COL_NAME ='FJOINDELIASSISTQTY') 
 ALTER TABLE T_OCOLMM_ASENTRY_S ADD (FJOINDELIASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ASENTRY_S' AND KSQL_COL_NAME ='FSUMORDERBASEQTY') 
 ALTER TABLE T_OCOLMM_ASENTRY_S ADD (FSUMORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ASENTRY_S' AND KSQL_COL_NAME ='FSUMORDERASSISTQTY') 
 ALTER TABLE T_OCOLMM_ASENTRY_S ADD (FSUMORDERASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ASENTRY_S' AND KSQL_COL_NAME ='FJOINORDERBASEQTY') 
 ALTER TABLE T_OCOLMM_ASENTRY_S ADD (FJOINORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ASENTRY_S' AND KSQL_COL_NAME ='FJOINORDERASSISTQTY') 
 ALTER TABLE T_OCOLMM_ASENTRY_S ADD (FJOINORDERASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ORDERSENTRY_S' AND KSQL_COL_NAME ='FSUMASBASEQTY') 
 ALTER TABLE T_OCOLMM_ORDERSENTRY_S ADD (FSUMASBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ORDERSENTRY_S' AND KSQL_COL_NAME ='FSUMASASSISTQTY') 
 ALTER TABLE T_OCOLMM_ORDERSENTRY_S ADD (FSUMASASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ORDERSENTRY_S' AND KSQL_COL_NAME ='FJOINASBASEQTY') 
 ALTER TABLE T_OCOLMM_ORDERSENTRY_S ADD (FJOINASBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ORDERSENTRY_S' AND KSQL_COL_NAME ='FJOINASASSISTQTY') 
 ALTER TABLE T_OCOLMM_ORDERSENTRY_S ADD (FJOINASASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_table.sql **/
