﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ADDRESS') 
 CREATE TABLE T_OCOLMM_ADDRESS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(10) DEFAULT '5' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FMALLID BIGINT DEFAULT 0 NOT NULL,
FDIVISIONID VARCHAR(36) DEFAULT ' ' NOT NULL,
FSUPPLIERCOUNTRIESID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERPROVINECID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERCITYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERCOUNTYID BIGINT DEFAULT 0 NOT NULL,
FADDRESS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFULLADDRESS NVARCHAR(500) DEFAULT ' ' NOT NULL,
FLINKMANE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLINKPHONE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLINKMOBILE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ADDRESS_L') 
 CREATE TABLE T_OCOLMM_ADDRESS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ITEMEVALUATE') 
 CREATE TABLE T_OCOLMM_ITEMEVALUATE (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORDERNUMBER BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FEVALUATEGRADE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEVALUATETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FEVALUATESHOWORHIDE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FEVALUATECONTENT NVARCHAR(510) DEFAULT ' ' NOT NULL,
FPICTURE1 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE2 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE3 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREPLYTXT NVARCHAR(510) DEFAULT ' ' NOT NULL,
FREPLYTXT_TAG NCLOB,
FISADDITEMEVALUATE CHAR(1) DEFAULT ' ' NOT NULL,
FISANONYMITY CHAR(1) DEFAULT ' ' NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPICTURE4 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPICTURE5 NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORDERENTRYID NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ITEMEVALUATE_E') 
 CREATE TABLE T_OCOLMM_ITEMEVALUATE_E (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEVALUATENUMBER BIGINT DEFAULT 0 NOT NULL,
FSCORE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_REPLY') 
 CREATE TABLE T_OCOLMM_REPLY (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FREPLYID BIGINT DEFAULT 0 NOT NULL,
FREPLYNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREPLYCONTENT NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_REPLYENTRY') 
 CREATE TABLE T_OCOLMM_REPLYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FREPLYCONTENT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FREPLYDATE DATETIME,
FREPLYERID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_MALLINFO' AND KSQL_COL_NAME ='FISAFTERSALESDOORTAKE') 
 ALTER TABLE T_OCOLMM_MALLINFO ADD (FISAFTERSALESDOORTAKE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_AFTERSALES_P' AND KSQL_COL_NAME ='FRETURNADDRESSID') 
 ALTER TABLE T_OCOLMM_AFTERSALES_P ADD (FRETURNADDRESSID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_AFTERSALES' AND KSQL_COL_NAME ='FITEMRETURNTYPE') 
 ALTER TABLE T_OCOLMM_AFTERSALES ADD (FITEMRETURNTYPE CHAR(1) DEFAULT '1' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_AFTERSALES' AND KSQL_COL_NAME ='FRETLOGISTICSCOMPANYID') 
 ALTER TABLE T_OCOLMM_AFTERSALES ADD (FRETLOGISTICSCOMPANYID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_AFTERSALES' AND KSQL_COL_NAME ='FRETLOGISTICSNO') 
 ALTER TABLE T_OCOLMM_AFTERSALES ADD (FRETLOGISTICSNO NVARCHAR(80) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_AFTERSALES' AND KSQL_COL_NAME ='FRETURNREMARK') 
 ALTER TABLE T_OCOLMM_AFTERSALES ADD (FRETURNREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ORDERINVOICE' AND KSQL_COL_NAME ='FCANCELSTATUS') 
 ALTER TABLE T_OCOLMM_ORDERINVOICE ADD (FCANCELSTATUS CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ORDERINVOICE' AND KSQL_COL_NAME ='FCANCELERID') 
 ALTER TABLE T_OCOLMM_ORDERINVOICE ADD (FCANCELERID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ORDERINVOICE' AND KSQL_COL_NAME ='FCANCELDATE') 
 ALTER TABLE T_OCOLMM_ORDERINVOICE ADD (FCANCELDATE DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ORDERINVOICE' AND KSQL_COL_NAME ='FOPENINVOICETYPE') 
 ALTER TABLE T_OCOLMM_ORDERINVOICE ADD (FOPENINVOICETYPE CHAR(1) DEFAULT '1' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_table.sql **/
