﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCOLMM_FLOOR_L', 'T_OCOLMM_FLOOR_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_FLOORL_FLID') CREATE INDEX IDX_OCOLMM_FLOORL_FLID ON T_OCOLMM_FLOOR_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCOLMM_FLOORENTRY', 'T_OCOLMM_FLOORENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_FLOORENTRY_FID') CREATE INDEX IDX_OCOLMM_FLOORENTRY_FID ON T_OCOLMM_FLOORENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_HOMECTADSENTRY', 'T_OCOLMM_HOMECTADSENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_HOMECTADSENTRY_EID') CREATE INDEX IDX_OCOLMM_HOMECTADSENTRY_EID ON T_OCOLMM_HOMECTADSENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCOLMM_HOMEFLOORENTRY', 'T_OCOLMM_HOMEFLOORENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_HOMEFLOORENTRY_FID') CREATE INDEX IDX_OCOLMM_HOMEFLOORENTRY_FID ON T_OCOLMM_HOMEFLOORENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_HOMELMENTRY', 'T_OCOLMM_HOMELMENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_HOMELMENTRY_FID') CREATE INDEX IDX_OCOLMM_HOMELMENTRY_FID ON T_OCOLMM_HOMELMENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_HOMECONTENT', 'T_OCOLMM_HOMECONTENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_HOMECONTENT_CID') CREATE INDEX IDX_OCOLMM_HOMECONTENT_CID ON T_OCOLMM_HOMECONTENT ( FCHANNELID );


 EXEC P_ALTERPK 'PK_OCOLMM_MALLINFO_L', 'T_OCOLMM_MALLINFO_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_MALLINFOL_FLID') CREATE INDEX IDX_OCOLMM_MALLINFOL_FLID ON T_OCOLMM_MALLINFO_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCOLMM_ORDERS', 'T_OCOLMM_ORDERS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ORDERS_BNO') CREATE INDEX IDX_OCOLMM_ORDERS_BNO ON T_OCOLMM_ORDERS ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOLMM_ORDERS_C', 'T_OCOLMM_ORDERS_C', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ORDERSC_EX') CREATE INDEX IDX_OCOLMM_ORDERSC_EX ON T_OCOLMM_ORDERS_C ( FEXRATETABLEID ,FEXRATEDATE ,FEXCHANGERATE );


 EXEC P_ALTERPK 'PK_OCOLMM_ORDERS_J', 'T_OCOLMM_ORDERS_J', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ORDERSJ_PSTATUS') CREATE INDEX IDX_OCOLMM_ORDERSJ_PSTATUS ON T_OCOLMM_ORDERS_J ( FPAYTYPEID ,FPAYMENTSTATUS );


 EXEC P_ALTERPK 'PK_OCOLMM_ORDERS_P', 'T_OCOLMM_ORDERS_P', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ORDERSP_SID') CREATE INDEX IDX_OCOLMM_ORDERSP_SID ON T_OCOLMM_ORDERS_P ( FSHIPPINGTYPEID );


 EXEC P_ALTERPK 'PK_OCOLMM_ORDERSENTRY', 'T_OCOLMM_ORDERSENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ORDERSENTRY_FID') CREATE INDEX IDX_OCOLMM_ORDERSENTRY_FID ON T_OCOLMM_ORDERSENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_RECEIPTS', 'T_OCOLMM_RECEIPTS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_RECEIPTS_BNO') CREATE INDEX IDX_OCOLMM_RECEIPTS_BNO ON T_OCOLMM_RECEIPTS ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOLMM_RECEIVEPAY', 'T_OCOLMM_RECEIVEPAY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_RECEIVEPAY_FID') CREATE INDEX IDX_OCOLMM_RECEIVEPAY_FID ON T_OCOLMM_RECEIVEPAY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_SHIPPING', 'T_OCOLMM_SHIPPING', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_SHIPPING_NUM') CREATE INDEX IDX_OCOLMM_SHIPPING_NUM ON T_OCOLMM_SHIPPING ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCOLMM_SHIPPRICE', 'T_OCOLMM_SHIPPRICE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_SHIPPRICE_NUM') CREATE INDEX IDX_OCOLMM_SHIPPRICE_NUM ON T_OCOLMM_SHIPPRICE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCOLMM_ICONTENT_HEAD', 'T_OCOLMM_ICONTENT_HEAD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ICONTENTHEAD_IID') CREATE INDEX IDX_OCOLMM_ICONTENTHEAD_IID ON T_OCOLMM_ICONTENT_HEAD ( FITEMID ,FSPUID );


 EXEC P_ALTERPK 'PK_OCOLMM_ITEM_PUBCENTRY', 'T_OCOLMM_ITEM_PUBCENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ITEMPUBCENTRY_FID') CREATE INDEX IDX_OCOLMM_ITEMPUBCENTRY_FID ON T_OCOLMM_ITEM_PUBCENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_ITEM_PUBLISH', 'T_OCOLMM_ITEM_PUBLISH', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ITEMPUBLISH_BNO') CREATE INDEX IDX_OCOLMM_ITEMPUBLISH_BNO ON T_OCOLMM_ITEM_PUBLISH ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOLMM_PRICECHACENTRY', 'T_OCOLMM_PRICECHACENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_PRICECHACENTRY_FID') CREATE INDEX IDX_OCOLMM_PRICECHACENTRY_FID ON T_OCOLMM_PRICECHACENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_PRICECHANGE', 'T_OCOLMM_PRICECHANGE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_PRICECHANGE_BNO') CREATE INDEX IDX_OCOLMM_PRICECHANGE_BNO ON T_OCOLMM_PRICECHANGE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOLMM_ITEM_PUBIENTRY', 'T_OCOLMM_ITEM_PUBIENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ITEMPUBIENTRY_FID') CREATE INDEX IDX_OCOLMM_ITEMPUBIENTRY_FID ON T_OCOLMM_ITEM_PUBIENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_ITEMCONTENT', 'T_OCOLMM_ITEMCONTENT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ICONTENT_CID') CREATE INDEX IDX_OCOLMM_ICONTENT_CID ON T_OCOLMM_ITEMCONTENT ( FCHANNELID );


 EXEC P_ALTERPK 'PK_OCOLMM_PRICECHAIENTRY', 'T_OCOLMM_PRICECHAIENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_PRICECHAIENTRY_FID') CREATE INDEX IDX_OCOLMM_PRICECHAIENTRY_FID ON T_OCOLMM_PRICECHAIENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_HOMELM_L', 'T_OCOLMM_HOMELM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_HOMELML_FLID') CREATE INDEX IDX_OCOLMM_HOMELML_FLID ON T_OCOLMM_HOMELM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCOLMM_SHIPPING_L', 'T_OCOLMM_SHIPPING_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_SHIPPINGL_FLID') CREATE INDEX IDX_OCOLMM_SHIPPINGL_FLID ON T_OCOLMM_SHIPPING_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCOLMM_SHIPPRICEENTRY', 'T_OCOLMM_SHIPPRICEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_SHIPPRICEENTRY_FID') CREATE INDEX IDX_OCOLMM_SHIPPRICEENTRY_FID ON T_OCOLMM_SHIPPRICEENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_MALLINFO', 'T_OCOLMM_MALLINFO', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_MALLINFO_CODEDFT') CREATE INDEX IDX_OCOLMM_MALLINFO_CODEDFT ON T_OCOLMM_MALLINFO ( FAUTHCODE ,FISDEFAULT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_MALLINFO_NUM') CREATE INDEX IDX_OCOLMM_MALLINFO_NUM ON T_OCOLMM_MALLINFO ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCOLMM_FLOOR', 'T_OCOLMM_FLOOR', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_FLOOR_NUM') CREATE INDEX IDX_OCOLMM_FLOOR_NUM ON T_OCOLMM_FLOOR ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCOLMM_HOMELM', 'T_OCOLMM_HOMELM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_HOMELM_NUM') CREATE INDEX IDX_OCOLMM_HOMELM_NUM ON T_OCOLMM_HOMELM ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCOLMM_SHIPPRICE_L', 'T_OCOLMM_SHIPPRICE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_SHIPPRICEL_FLID') CREATE INDEX IDX_OCOLMM_SHIPPRICEL_FLID ON T_OCOLMM_SHIPPRICE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCOLMM_HOMECTADENTRY', 'T_OCOLMM_HOMECTADENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_HOMECTADENTRY_FID') CREATE INDEX IDX_OCOLMM_HOMECTADENTRY_FID ON T_OCOLMM_HOMECTADENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_HOMEFLASHENTRY', 'T_OCOLMM_HOMEFLASHENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_HOMEFLASHENTRY_FID') CREATE INDEX IDX_OCOLMM_HOMEFLASHENTRY_FID ON T_OCOLMM_HOMEFLASHENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCOLMM_ARTICLE', 'T_OCOLMM_ARTICLE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_ARTICLE_BILLNO') CREATE INDEX IDX_OCOLMM_ARTICLE_BILLNO ON T_OCOLMM_ARTICLE ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCOLMM_HELPTYPE', 'T_OCOLMM_HELPTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_HELPTYPE_NUM') CREATE INDEX IDX_OCOLMM_HELPTYPE_NUM ON T_OCOLMM_HELPTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCOLMM_NEWSLM', 'T_OCOLMM_NEWSLM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_NEWSLM_NUM') CREATE INDEX IDX_OCOLMM_NEWSLM_NUM ON T_OCOLMM_NEWSLM ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_OCOLMM_NEWSLM_L', 'T_OCOLMM_NEWSLM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCOLMM_NEWSLML_FLID') CREATE INDEX IDX_OCOLMM_NEWSLML_FLID ON T_OCOLMM_NEWSLM_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_constraint.sql **/
