﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_AFTERSALES') 
 CREATE TABLE T_OCOLMM_AFTERSALES (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FORDERID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPE CHAR(1) DEFAULT 'A' NOT NULL,
FORPERATETYPE CHAR(1) DEFAULT '1' NOT NULL,
FRETURNREASON CHAR(1) DEFAULT '1' NOT NULL,
FRETURNTYPE CHAR(1) DEFAULT '0' NOT NULL,
FREFUNDTYPEID BIGINT DEFAULT 0 NOT NULL,
FISHASINVOICE CHAR(1) DEFAULT '1' NOT NULL,
FISHASREPORT CHAR(1) DEFAULT '1' NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCLOSEDATE DATETIME,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCANCELSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCANCELERID BIGINT DEFAULT 0 NOT NULL,
FCANCELDATE DATETIME,
FCOMMENT NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPICTURE1 NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPICTURE2 NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPICTURE3 NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPICTURE4 NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPICTURE5 NVARCHAR(500) DEFAULT ' ' NOT NULL,
FPICTURE6 NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_AFTERSALES_P') 
 CREATE TABLE T_OCOLMM_AFTERSALES_P (
FID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERRECEIVERMEMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOMERRECEIVERPHONE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTOMERADDID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERCOUNTRIESID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERPROVINECID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERCITYID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERCOUNTYID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERADDRESS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCUSTOMERRECEIVERADDRESS NVARCHAR(500) DEFAULT ' ' NOT NULL,
FSUPPLIERRECEIVERMEMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLIERRECEIVERPHONE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPLIERADDID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERCOUNTRIESID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERPROVINECID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERCITYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERCOUNTYID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERADDRESS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FSUPPLIERRECEIVERADDRESS NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_AFTERSALESOPLOG') 
 CREATE TABLE T_OCOLMM_AFTERSALESOPLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPERATORRULE CHAR(1) DEFAULT '1' NOT NULL,
FOPERATOR NVARCHAR(80) DEFAULT ' ' NOT NULL,
FOPDESC NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(200) DEFAULT ' ' NOT NULL,
FFLAG CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ASENTRY') 
 CREATE TABLE T_OCOLMM_ASENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FSKUID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDETAILSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FSOSTOCKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ASENTRY_C') 
 CREATE TABLE T_OCOLMM_ASENTRY_C (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLCAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLCTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLCALLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ASENTRY_S') 
 CREATE TABLE T_OCOLMM_ASENTRY_S (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FMAINBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYSEQ INT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ASREFUNDENTRY') 
 CREATE TABLE T_OCOLMM_ASREFUNDENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOLLECTIONTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOLLECTIONCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREALREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FADJUSTSEASON NVARCHAR(200) DEFAULT ' ' NOT NULL,
FCOMMENT NVARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_HELPTYPE_L') 
 CREATE TABLE T_OCOLMM_HELPTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_OEMONEYDETAIL') 
 CREATE TABLE T_OCOLMM_OEMONEYDETAIL (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMONEYTYPE CHAR(1) DEFAULT '1' NOT NULL,
FITEMDETAILAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FITEMDETAILNOTE NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_ORDERSENTRY_S') 
 CREATE TABLE T_OCOLMM_ORDERSENTRY_S (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FMAINBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FSUMDELIBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMDELIASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINDELIBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINDELIASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_PAYMENTTYPE') 
 CREATE TABLE T_OCOLMM_PAYMENTTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_PAYMENTTYPE_L') 
 CREATE TABLE T_OCOLMM_PAYMENTTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_REFUNDBILL') 
 CREATE TABLE T_OCOLMM_REFUNDBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATA DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FORDERID BIGINT DEFAULT 0 NOT NULL,
FAFTERSALESID BIGINT DEFAULT 0 NOT NULL,
FREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLCREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPAYDATETIME DATETIME,
FPAYTYPEID BIGINT DEFAULT 0 NOT NULL,
FOURBANK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOURACCOUNTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPPOSITEBANKNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPPOSITECCOUNTNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOPPOSITEBANKACCOUNT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FOUTTRADENO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANNELID BIGINT DEFAULT 0 NOT NULL,
FREFUNDSTATUS CHAR(1) DEFAULT '1' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_REFUNDTYPE') 
 CREATE TABLE T_OCOLMM_REFUNDTYPE (
FID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCOLMM_REFUNDTYPE_L') 
 CREATE TABLE T_OCOLMM_REFUNDTYPE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_ORDERSENTRY' AND KSQL_COL_NAME ='FROWCLOSESTATUS') 
 ALTER TABLE T_OCOLMM_ORDERSENTRY ADD (FROWCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_MALLINFO' AND KSQL_COL_NAME ='FISDEFAULTSTOCKORG') 
 ALTER TABLE T_OCOLMM_MALLINFO ADD (FISDEFAULTSTOCKORG CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCOLMM_MALLINFO' AND KSQL_COL_NAME ='FSTOCKORGID') 
 ALTER TABLE T_OCOLMM_MALLINFO ADD (FSTOCKORGID BIGINT DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCOLMM_table.sql **/
